MapTileLayer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.imageTile
Class MapTileLayer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  com.bbn.openmap.Layer
                      com.bbn.openmap.layer.OMGraphicHandlerLayer
                          com.bbn.openmap.layer.imageTile.MapTileLayer

All Implemented Interfaces:
  MapTileRequester, ProjectionListener, GestureResponsePolicy, OMGraphicHandler, ProjectionPainter, PropertyConsumer, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.io.Serializable, java.util.EventListener

    public class MapTileLayer

extends OMGraphicHandlerLayer
implements MapTileRequester

A Layer that uses a MapTileFactory to display information (tiles) on the map. Properties for this layer look like this:

     tiles.class=com.bbn.openmap.layer.imageTile.MapTileLayer
     tiles.prettyName=TILES
     tiles.tileFactory=com.bbn.openmap.dataAccess.mapTile.StandardMapTileFactory
     tiles.rootDir=root_directory_of_tiles
     #optional, .png is default
     tiles.fileExt=.png
     tiles.cacheSize=the number of mapTiles the factory should hold on to. The default is 100.
     # transform for naming convention of tiles default is OSMMapTileCoordinateTransform, but it depends on the source of tiles.  GDAL is TSMMapTileCoordinateTransform
     tiles.mapTileTransform=com.bbn.openmap.dataAccess.mapTile.OSMMapTileCoordinateTransform, or com.bbn.openmap.dataAccess.mapTile.TMSMapTileCoordinateTransform

You can use a server that provides image tiles:

     tiles.class=com.bbn.openmap.layer.imageTile.MapTileLayer
     tiles.prettyName=TILES
     tiles.tileFactory=com.bbn.openmap.dataAccess.mapTile.ServerMapTileFactory
     tiles.rootDir=URL root directory of tiles
     # a local location to cache tiles, to reduce load on server.
     tiles.localCacheRootDir=/data/tiles/osmtiles
     # save cache when layer is done (true by default)
     tiles.saveCache=true

     # other properties are the same.
     tiles.fileExt=.png
     tiles.cacheSize=the number of mapTiles the factory should hold on to. The default is 100.
     # transform for naming convention of tiles default is OSMMapTileCoordinateTransform, but it depends on the source of tiles.  GDAL is TSMMapTileCoordinateTransform
     mapTileTransform=com.bbn.openmap.dataAccess.mapTile.OSMMapTileCoordinateTransform, or com.bbn.openmap.dataAccess.mapTile.TMSMapTileCoordinateTransform

The rootDir property can be defined as a pattern, with the zoom level z, x tile coordinate and y tile coordinate set using {z}{x}{y} for however the tiles are stored or retrieved:

     rootDir=/data/tiles/{z}/{x}/{y}.png

     #or, for the ServerMapTileFactory:
     rootDir=http://someserver.com/tileset/{z}/{x}/{y}.png

In this case, the fileExt won't be used as the code will assume you are setting that. To make things simpler, you can define a tiles.omp file that sits under the tile root directory or at the top level of the jar file, and let it specify the properties for the tile set. The properties in that file should be unscoped:

     fileExt=.png
     #for instance, for GDAL processed images you need this transform since tiles have difference reference coordinates
     mapTileTransform=com.bbn.openmap.dataAccess.mapTile.TMSMapTileCoordinateTransform
     #in jar file, should specify rootDir inside jar to tiles (don't need this for layers accessing local file system rootDirs, unless you want to specify z,x,y order differently):
     rootDir=mytiles

     #optional
     attribution=map data 2013 OpenStreetMap

If you do this last configuration, all you need to define is rootDir (and prettyName, class) property for layer, and then define all other props with data.

Author:
  dietrick
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected java.lang.String` | `attribution` Attribution for the map data.
`protected DrawingAttributes` | `attributionAttributes` Rendering parameters for attribution string.
`static java.lang.String` | `DATA_ATTRIBUTION_PROPERTY` A property to set for displaying attribution for the data used by the layer.
`static java.lang.String` | `INCREMENTAL_UPDATES_PROPERTY` Property to allow the MapTileFactory to call repaint on this layer as map tiles become available.
`protected boolean` | `incrementalUpdates` Flag to allow this layer to set itself as a repaint callback object on the tile factory.
`static java.util.logging.Logger` | `logger`
`static java.lang.String` | `SAVE_CACHE_PROPERTY` A property to save or destroy the tile factory cache when the layer is removed.
`protected boolean` | `saveCache` Flag to save tile factory cache when the layer is no longer used.
`static java.lang.String` | `TILE_FACTORY_CLASS_PROPERTY` Property that sets the class name of the MapTileFactory to use for this layer.
`protected MapTileFactory` | `tileFactory` The MapTileFactory that knows how to fetch image files and create OMRasters for them.
`static java.lang.String` | `ZOOM_LEVEL_PROPERTY` A property to set if you want to force the layer to use tiles of a certain zoom level.
`protected int` | `zoomLevel` The zoomLevel to use when requesting tiles from the MapTileFactory.

Fields inherited from class com.bbn.openmap.layer.OMGraphicHandlerLayer
`consumeEvents, ConsumeEventsProperty, filter, interruptable, InterruptableProperty, layerWorker, LAYERWORKER_LOCK, layerWorkerQueue, mouseEventInterpreter, mouseModeIDs, MouseModesProperty, projectionChangePolicy, ProjectionChangePolicyProperty, renderPolicy, RenderPolicyProperty, selectedList, TransparencyProperty`

Fields inherited from class com.bbn.openmap.Layer
`addAsBackground, AddAsBackgroundProperty, addToBeanContext, AddToBeanContextProperty, attributes, autoPalette, AutoPaletteProperty, beanContextChildSupport, coordTransform, DataPathPrefixProperty, DisplayPaletteCmd, DisplayPropertiesCmd, doHack, HidePaletteCmd, i18n, localHackList, maxScale, MaxScaleProperty, minScale, MinScaleProperty, palette, paletteListener, PrettyNameProperty, propertyPrefix, readyToPaint, RedrawCmd, removable, RemovableProperty, SWING_PACKAGE, TransformProperty, windowSupport`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MapTileLayer()`
`MapTileLayer(MapTileFactory tileFactory)`

Method Summary
`void` | `clearCache()` Clear the MapTileFactory cache.
`java.lang.String` | `getAttribution()`
`DrawingAttributes` | `getAttributionAttributes()`
`protected OMText` | `getAttributionGraphic()`
`java.awt.Component` | `getGUI()` Gets the gui controls associated with the layer.
`java.util.Properties` | `getProperties(java.util.Properties props)` Overrides Layer getProperties method., also calls that method on Layer.
`java.util.Properties` | `getPropertyInfo(java.util.Properties props)` Overrides Layer getProperties method., also calls that method on Layer.
`MapTileFactory` | `getTileFactory()`
`java.lang.String` | `getToolTipTextFor(OMGraphic omg)` If applicable, should return a tool tip for the OMGraphic.
`int` | `getZoomLevel()`
`boolean` | `isIncrementalUpdates()`
`void` | `listUpdated()` Called when the provided OMGraphicList has another tile added to it, so the list can be repainted if the caller is interested in incremental updates.
`void` | `paint(java.awt.Graphics g)` The default action is to get the OMGraphicList and render it.
`OMGraphicList` | `prepare()` OMGraphicHandlerLayer method, called with projection changes or whenever else doPrepare() is called.
`void` | `removed(java.awt.Container cont)` Called when the layer has been turned off and the projection changes, signifying that the layer can clean up.
`void` | `setAttribution(java.lang.String attribution)`
`void` | `setAttributionAttributes(DrawingAttributes attributionAttributes)`
`void` | `setIncrementalUpdates(boolean incrementalUpdates)`
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` Overrides the Layer setProperties method.
`void` | `setTileFactory(MapTileFactory tileFactory)`
`void` | `setZoomLevel(int zoomLevel)`
`boolean` | `shouldContinue()` Asked by the MapTileFactory if the tile fetching should continue.

Methods inherited from class com.bbn.openmap.layer.OMGraphicHandlerLayer
`actionPerformed, canSetList, copy, createLayerWorker, cut, deselect, dispose, doAction, doPrepare, filter, filter, filter, getConsumeEvents, getDefaultSettingsPanel, getFilter, getInfoText, getItemsForMapMenu, getItemsForOMGraphicMenu, getLayerWorker, getList, getMapMouseListener, getMouseEventInterpreter, getMouseModeIDsForEvents, getProjectionChangePolicy, getRedrawButton, getRenderPolicy, getSelected, getSettingsButton, getTransparency, getTransparencyAdjustmentPanel, highlight, isCancelled, isHighlightable, isInterruptable, isSelectable, isWorking, leftClick, mouseOver, paste, projectionChanged, receivesMapEvents, renderDataForProjection, resetFiltering, select, setConsumeEvents, setFilter, setInterruptable, setLayerWorker, setList, setMouseEventInterpreter, setMouseModeIDsForEvents, setProjectionChangePolicy, setRenderPolicy, setTransparency, supportsSQL, unhighlight, workerComplete`

Methods inherited from class com.bbn.openmap.Layer
`addComponentListener, added, addInfoDisplayListener, addLayerStatusListener, addMouseListener, addVetoableChangeListener, childrenAdded, childrenRemoved, clearListeners, connectToBeanContext, createWindowSupport, disconnectFromBeanContext, finalize, findAndInit, findAndInit, findAndUndo, fireHideToolTip, firePaletteEvent, fireRequestBrowserContent, fireRequestBrowserContent, fireRequestCursor, fireRequestInfoLine, fireRequestInfoLine, fireRequestInfoLine, fireRequestMessage, fireRequestMessage, fireRequestToolTip, fireRequestToolTip, fireRequestURL, fireRequestURL, fireStatusUpdate, fireStatusUpdate, fireVetoableChange, getAddAsBackground, getAddToBeanContext, getAttribute, getBeanContext, getCoordTransform, getIcon, getMaxScale, getMinScale, getPackage, getPalette, getProjection, getPropertyPrefix, getWindowSupport, hasGUI, hidePalette, isAutoPalette, isProjectionOK, isReadyToPaint, isRemovable, notifyHideHack, prependDataPathPrefix, putAttribute, removeComponentListener, removeConfirmed, removeInfoDisplayListener, removeLayerStatusListener, removeVetoableChangeListener, repaint, resetPalette, setAddAsBackground, setAddToBeanContext, setAutoPalette, setBeanContext, setCoordTransform, setIcon, setLayerProperties, setMaxScale, setMinScale, setName, setPaletteVisible, setProjection, setProjection, setProperties, setPropertyPrefix, setReadyToPaint, setRemovable, setVisible, setWindowSupport, showPalette`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.beans.beancontext.BeanContextChild
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### logger

    public static java.util.logging.Logger logger

### TILE_FACTORY_CLASS_PROPERTY

    public static final java.lang.String TILE_FACTORY_CLASS_PROPERTY

  Property that sets the class name of the MapTileFactory to use for this layer.

  See Also:
    Constant Field Values

### INCREMENTAL_UPDATES_PROPERTY

    public static final java.lang.String INCREMENTAL_UPDATES_PROPERTY

  Property to allow the MapTileFactory to call repaint on this layer as map tiles become available. Default is false, enabling it will not allow this layer to be used with an ImageServer (renderDataForProjection won't work).

  See Also:
    Constant Field Values

### ZOOM_LEVEL_PROPERTY

    public static final java.lang.String ZOOM_LEVEL_PROPERTY

  A property to set if you want to force the layer to use tiles of a certain zoom level.

  See Also:
    Constant Field Values

### DATA_ATTRIBUTION_PROPERTY

    public static final java.lang.String DATA_ATTRIBUTION_PROPERTY

  A property to set for displaying attribution for the data used by the layer.

  See Also:
    Constant Field Values

### SAVE_CACHE_PROPERTY

    public static final java.lang.String SAVE_CACHE_PROPERTY

  A property to save or destroy the tile factory cache when the layer is removed.

  See Also:
    Constant Field Values

### tileFactory

    protected MapTileFactory tileFactory

  The MapTileFactory that knows how to fetch image files and create OMRasters for them.

### incrementalUpdates

    protected boolean incrementalUpdates

  Flag to allow this layer to set itself as a repaint callback object on the tile factory.

### zoomLevel

    protected int zoomLevel

  The zoomLevel to use when requesting tiles from the MapTileFactory. Is -1 for default, which lets the factory choose the zoom level based on the current scale setting. You can choose 1-20 if you want to force the layer to use something else.

### attribution

    protected java.lang.String attribution

  Attribution for the map data. If it exists, it will be displayed on the lower left corner of the map.

### saveCache

    protected boolean saveCache

  Flag to save tile factory cache when the layer is no longer used.

### attributionAttributes

    protected DrawingAttributes attributionAttributes

  Rendering parameters for attribution string.

Constructor Detail

### MapTileLayer

    public MapTileLayer()

### MapTileLayer

    public MapTileLayer(MapTileFactory tileFactory)

Method Detail

### prepare

    public OMGraphicList prepare()

  OMGraphicHandlerLayer method, called with projection changes or whenever else doPrepare() is called. Calls getTiles on the map tile factory.

  Overrides:
    `prepare` in class `OMGraphicHandlerLayer`
  Returns:
    OMGraphicList that contains tiles to be displayed for the current projection.

### paint

    public void paint(java.awt.Graphics g)

  Description copied from class: `OMGraphicHandlerLayer`
  The default action is to get the OMGraphicList and render it.

  Overrides:
    `paint` in class `OMGraphicHandlerLayer`
  Parameters:
    `g` - java.awt.Graphics object to render OMGraphics into.

### getAttributionGraphic

    protected OMText getAttributionGraphic()

  Returns:
    OMText for attribution text

### getToolTipTextFor

    public java.lang.String getToolTipTextFor(OMGraphic omg)

  Description copied from class: `OMGraphicHandlerLayer`
  If applicable, should return a tool tip for the OMGraphic. Return null if nothing should be shown.

  Specified by:
    `getToolTipTextFor` in interface `GestureResponsePolicy`
  Overrides:
    `getToolTipTextFor` in class `OMGraphicHandlerLayer`

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from class: `OMGraphicHandlerLayer`
  Overrides the Layer setProperties method. Also calls Layer's version. If the ProjectionChangePolicy and RenderPolicy objects are set programmatically, are PropertyConsumers and the .class property is not set, they will still have access to properties if this method is called. Their property prefix will be scoped as if the OMGraphicHandlerLayer had them created, with their prefix being prefix + . + PropertyChangePolicyProperty and prefix + . + RenderPolicyProperty. If the .class property is set, then a new policy object will be created and replace the one set before this method is called.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `OMGraphicHandlerLayer`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### getProperties

    public java.util.Properties getProperties(java.util.Properties props)

  Description copied from class: `OMGraphicHandlerLayer`
  Overrides Layer getProperties method., also calls that method on Layer. Sets the properties from the policy objects used by this OMGraphicHandler layer.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `OMGraphicHandlerLayer`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If props equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getPropertyInfo

    public java.util.Properties getPropertyInfo(java.util.Properties props)

  Description copied from class: `OMGraphicHandlerLayer`
  Overrides Layer getProperties method., also calls that method on Layer. Sets the properties from the policy objects used by this OMGraphicHandler layer.

  Specified by:
    `getPropertyInfo` in interface `PropertyConsumer`
  Overrides:
    `getPropertyInfo` in class `OMGraphicHandlerLayer`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### removed

    public void removed(java.awt.Container cont)

  Called when the layer has been turned off and the projection changes, signifying that the layer can clean up.

  Overrides:
    `removed` in class `Layer`
  Parameters:
    `cont` - Container

### getTileFactory

    public MapTileFactory getTileFactory()

### setTileFactory

    public void setTileFactory(MapTileFactory tileFactory)

### isIncrementalUpdates

    public boolean isIncrementalUpdates()

### setIncrementalUpdates

    public void setIncrementalUpdates(boolean incrementalUpdates)

### getZoomLevel

    public int getZoomLevel()

### setZoomLevel

    public void setZoomLevel(int zoomLevel)

### getGUI

    public java.awt.Component getGUI()

  Description copied from class: `Layer`
  Gets the gui controls associated with the layer. This default implementation returns null indicating that the layer has no gui controls.

  Overrides:
    `getGUI` in class `Layer`
  Returns:
    java.awt.Component or null, null by default.

### getAttribution

    public java.lang.String getAttribution()

  Returns:
    the attribution

### setAttribution

    public void setAttribution(java.lang.String attribution)

  Parameters:
    `attribution` - the attribution to set

### getAttributionAttributes

    public DrawingAttributes getAttributionAttributes()

  Returns:
    the attributionAttributes

### setAttributionAttributes

    public void setAttributionAttributes(DrawingAttributes attributionAttributes)

  Parameters:
    `attributionAttributes` - the attributionAttributes to set

### shouldContinue

    public boolean shouldContinue()

  Description copied from interface: `MapTileRequester`
  Asked by the MapTileFactory if the tile fetching should continue. Called during stable times, just to make sure that the currently fetched tile set is still wanted. Safe to always return true, but if you want the TileFactory to forget what it's doing (like the projection changed), then return false;

  Specified by:
    `shouldContinue` in interface `MapTileRequester`
  Returns:
    true of the MapTileFactory should keep collecting tiles for the current request.

### listUpdated

    public void listUpdated()

  Description copied from interface: `MapTileRequester`
  Called when the provided OMGraphicList has another tile added to it, so the list can be repainted if the caller is interested in incremental updates.

  Specified by:
    `listUpdated` in interface `MapTileRequester`

### clearCache

    public void clearCache()

  Clear the MapTileFactory cache.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details